%global _empty_manifest_terminate_build 0
Name:		python-jaraco-text
Version:	4.0.0
Release:	1
Summary:	Module for text manipulation
License:	MIT
URL:		https://pypi.org/project/jaraco.text
Source0:        https://files.pythonhosted.org/packages/source/j/jaraco_text/jaraco_text-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:  python-setuptools_scm
BuildRequires:  python3-pip python3-wheel
BuildRequires:  python3-tox >= 4.11.1
Recommends:     %{name}-help = %{version}-%{release}

Requires:	python3-six
Requires:	python3-importlib-resources
Requires:	python3-sphinx
Requires:	python3-pytest
Requires:	python3-pytest-checkdocs
Requires:	python3-pytest-flake8
Requires:	python3-pytest-black-multipy
Requires:	python3-pytest-cov

%description
%{summary}

%package -n python3-jaraco-text
Summary:	Module for text manipulation
Provides:	python-jaraco-text
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-jaraco-text
%{summary}


%package help
Summary:	Development documents and examples for jaraco.text
Provides:	python3-jaraco-text-doc

%description help
Documentation for jaraco.text

%prep
%autosetup -n jaraco_text-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-jaraco-text
%{python3_sitelib}/jaraco/text/
%{python3_sitelib}/jaraco.text-%{version}*-info

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Aug 12 2024 yaoxin <yao_xin001@hoperun.com> - 4.0.0-1
- Update to 4.0.0
  * Made 'inflect' an optional dependency. The show-newlines script
    now will crash unless jaraco.text[inflect] is installed.
  * Add new 'clean' function, extracted from 'yield_lines'.
  * Fix EncodingWarning.
  * Add 'lines_from' function.

* Thu May 16 2024 wangxiaomeng <wangxiaomeng@kylinos.cn> - 3.12.0-1
- Update to 3.12.0
  - Require Python 3.8 or later
  - Add FORCE_COLOR to the TOX_OVERRIDE for GHA. Requires tox 4.11.1
  - Limit sphinxlint jobs to 1. Workaround for sphinx-contrib/sphinx-lint#83

* Fri Apr 28 2023 yaoxin <yao_xin001@hoperun.com> - 3.11.1-1
- Update to 3.11.1

* Mon Nov 16 2020 Python_Bot <Python_Bot@openeuler.org>
- Package init
